## org.apache.taglibs.standard.lang.jstl
Class FloatingPointLiteral

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.Expression
          org.apache.taglibs.standard.lang.jstl.Literal
              org.apache.taglibs.standard.lang.jstl.FloatingPointLiteral

    public class FloatingPointLiteral

extends Literal

An expression representing a floating point literal value. The value is stored internally as a double.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`FloatingPointLiteral(String pToken)` Constructor

Method Summary
`String` `getExpressionString()` Returns the expression in the expression language syntax

Methods inherited from class org.apache.taglibs.standard.lang.jstl.Literal
`evaluate, getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatingPointLiteral

    public FloatingPointLiteral(String pToken)

  Constructor

Method Detail

### getExpressionString

    public String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.